<template>
	<view class="content">
		<view class="one">
			公证员介绍
		</view>
	</view>
</template>

<script setup lang="ts">
	import { getCurrentInstance, ref } from 'vue';
	//该依赖已内置不需要单独安装
	import { onShow, onPullDownRefresh } from "@dcloudio/uni-app";
	// 请求接口
	const $api = getCurrentInstance()?.appContext.config.globalProperties.$api;
	const $config = getCurrentInstance()?.appContext.config.globalProperties.$config;
	// 基本信息
	const config = ref({ logo: [], file: [] });
	const list = ref([]);
	const total = ref(0);
	const menuList = ref([]);
	onShow(async () => {
		await searchConfig();
		await searchOther();
		await search();
	})
	// config信息
	const searchConfig = async () => {
		config.value = uni.getStorageSync('config');
	};
	// 其他查询信息
	const searchOther = async () => {
		
	};
	// 查询
	const search = async () => {
		const info = {
			skip: 0,
			limit: 2,
			status: '0'
		}
		// const res = await $api('car', 'GET', info);
		// if (res.errcode === 0) {
		// 	list.value = list.value.concat(res.data)
		// 	total.value = res.total
		// } else {
		// 	uni.showToast({
		// 		title: res.errmsg || '',
		// 		icon: 'error',
		// 	});
		// }
	};
</script>
<style lang="scss" scoped>
	.content {
		display: flex;
		flex-direction: column;
		background-color: var(--f1Color);
	}
</style>